## org.eclipse.jst.jsf.designtime.resolver
Class AbstractStructuredDocumentSymbolResolverFactory

    java.lang.Object
      org.eclipse.jst.jsf.designtime.resolver.AbstractStructuredDocumentSymbolResolverFactory

All Implemented Interfaces:
  IStructuredDocumentSymbolResolverFactory

    public abstract class AbstractStructuredDocumentSymbolResolverFactory

extends java.lang.Object
implements IStructuredDocumentSymbolResolverFactory

A base class for symbol resolver factories.

Constructor Summary
`AbstractStructuredDocumentSymbolResolverFactory()`

Method Summary
`abstract ISymbolContextResolver` `getSymbolContextResolver(IModelContext context)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractStructuredDocumentSymbolResolverFactory

    public AbstractStructuredDocumentSymbolResolverFactory()

Method Detail

### getSymbolContextResolver

    public abstract ISymbolContextResolver getSymbolContextResolver(IModelContext context)

  Specified by:
    `getSymbolContextResolver` in interface `IStructuredDocumentSymbolResolverFactory`
  Returns:
    a new instance of symbol resolver for context
  See Also:
    `IStructuredDocumentSymbolResolverFactory.getSymbolContextResolver(org.eclipse.jst.jsf.context.IModelContext)`